<?php
/**
 * @copyright	Copyright (C) 2013 - 2014 Meftools, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport("joomla.plugin.plugin");


class plgSystemmefconverter extends JPlugin
{
        

     function ConvertNumberToParamsValue($var, $num){

     	$app =& JFactory::getApplication();


     	$arabicnum = array("&#160;",0, 1, 2, 3, 4, 5, 6, 7, 8, 9);
     	$indnum =    array("&nbsp;", "٠", "١", "٢", "٣", "٤", "٥", "٦", "٧", "٨", "٩");
     	$persenum =  array("&nbsp;", "۰", "۱", "۲", "۳", "۴", "۵", "۶", "۷", "۸", "۹");

     	$numconverter = $this->params->get('numlist');

     	for ($i=0; $i < count($arabicnum); $i++) {

	        switch ($numconverter) {
	        		case '0':

	        			break;
	        		case '1':

	        			if($num == 1){
							$var = str_replace($indnum[$i], $arabicnum[$i], $var);
	        			}else{
	        				$var = str_replace($arabicnum[$i], $indnum[$i], $var);
	        			}

	        			break;
	        		case '2':
	        			if($num == 1){
	        				$var = str_replace($persenum[$i], $arabicnum[$i], $var);
	        			}else{
							$var = str_replace($arabicnum[$i], $persenum[$i], $var);
	        			}

	        			break;
	        }

        }

     	return $var;

     }


	function onAfterRender(){

		

        $app = JFactory::getApplication();
	    if( $app->isAdmin()) {
	        return false;
	    }
      
        $doc = JFactory::getDocument();
        $type = $doc->getType();
        if( $type != 'html' ) {
            return false;
        }

		$buffer = JResponse::getBody();

		preg_match_all("/>(.*?)\</s", html_entity_decode($buffer), $snipsets, PREG_PATTERN_ORDER);

		foreach ($snipsets as $key) {

			$buffer = str_replace($key, $this->ConvertNumberToParamsValue($key,2), $buffer);

		}

		preg_match_all("#<script (.*?)>(.*?)</script>#s", $buffer, $script_snipsets, PREG_PATTERN_ORDER);

		foreach ($script_snipsets as $key) {

			$buffer = str_replace($key, $this->ConvertNumberToParamsValue($key,1), $buffer);

		}

		preg_match_all("/<style(?:(?!<\/style>).)*<\/style>/s", $buffer, $style_snipsets, PREG_PATTERN_ORDER);

		foreach ($style_snipsets as $key) {

			$buffer = str_replace($key, $this->ConvertNumberToParamsValue($key,1), $buffer);

		}

		preg_match_all("#<a (.*?)>#s", $buffer, $link_snipsets, PREG_PATTERN_ORDER);
		
		foreach ($link_snipsets as $key) {

			$buffer = str_replace($key, $this->ConvertNumberToParamsValue($key,1), $buffer);

		}

		JResponse::setBody($buffer); 

		return true;

	}
	
}